Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.runtime.manager.impl
Class ManagedAuditEventBuilderImpl

    java.lang.Object
      org.jbpm.process.audit.event.DefaultAuditEventBuilderImpl
          org.jbpm.runtime.manager.impl.ManagedAuditEventBuilderImpl

All Implemented Interfaces:
  AuditEventBuilder

    public class ManagedAuditEventBuilderImpl

extends DefaultAuditEventBuilderImpl

Constructor Summary
`ManagedAuditEventBuilderImpl()`

Method Summary
`AuditEvent` | `buildEvent(ProcessCompletedEvent pce, Object log)`
`AuditEvent` | `buildEvent(ProcessNodeLeftEvent pnle, Object log)`
`AuditEvent` | `buildEvent(ProcessNodeTriggeredEvent pnte)`
`AuditEvent` | `buildEvent(ProcessStartedEvent pse)`
`AuditEvent` | `buildEvent(ProcessVariableChangedEvent pvce)`
`String` | `getOwnerId()`
`void` | `setOwnerId(String ownerId)`

Methods inherited from class org.jbpm.process.audit.event.DefaultAuditEventBuilderImpl
`buildEvent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ManagedAuditEventBuilderImpl

    public ManagedAuditEventBuilderImpl()

Method Detail

### buildEvent

    public AuditEvent buildEvent(ProcessStartedEvent pse)

  Specified by:
    `buildEvent` in interface `AuditEventBuilder`
  Overrides:
    `buildEvent` in class `DefaultAuditEventBuilderImpl`

### buildEvent

    public AuditEvent buildEvent(ProcessCompletedEvent pce,
                                 Object log)

  Specified by:
    `buildEvent` in interface `AuditEventBuilder`
  Overrides:
    `buildEvent` in class `DefaultAuditEventBuilderImpl`

### buildEvent

    public AuditEvent buildEvent(ProcessNodeTriggeredEvent pnte)

  Specified by:
    `buildEvent` in interface `AuditEventBuilder`
  Overrides:
    `buildEvent` in class `DefaultAuditEventBuilderImpl`

### buildEvent

    public AuditEvent buildEvent(ProcessNodeLeftEvent pnle,
                                 Object log)

  Specified by:
    `buildEvent` in interface `AuditEventBuilder`
  Overrides:
    `buildEvent` in class `DefaultAuditEventBuilderImpl`

### buildEvent

    public AuditEvent buildEvent(ProcessVariableChangedEvent pvce)

  Specified by:
    `buildEvent` in interface `AuditEventBuilder`
  Overrides:
    `buildEvent` in class `DefaultAuditEventBuilderImpl`

### getOwnerId

    public String getOwnerId()

### setOwnerId

    public void setOwnerId(String ownerId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.